<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: BITHockeyLogger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="interface_b_i_t_hockey_logger-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BITHockeyLogger Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BITHockeyLogger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_b_i_t_hockey_logger.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a693c95ee3d88215e6b5d090816739d84"><td class="memItemLeft" align="right" valign="top"><a id="a693c95ee3d88215e6b5d090816739d84"></a>
(BITLogLevel)&#160;</td><td class="memItemRight" valign="bottom">+ <b>currentLogLevel</b></td></tr>
<tr class="separator:a693c95ee3d88215e6b5d090816739d84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a315ae475656b8c21cb1346972cb7be54"><td class="memItemLeft" align="right" valign="top"><a id="a315ae475656b8c21cb1346972cb7be54"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">+ <b>setCurrentLogLevel:</b></td></tr>
<tr class="separator:a315ae475656b8c21cb1346972cb7be54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d0636bdddd8341f0e36e2259df365bc"><td class="memItemLeft" align="right" valign="top"><a id="a6d0636bdddd8341f0e36e2259df365bc"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">+ <b>setLogHandler:</b></td></tr>
<tr class="separator:a6d0636bdddd8341f0e36e2259df365bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72be2667aa806100cf0a588f0c45e800"><td class="memItemLeft" align="right" valign="top"><a id="a72be2667aa806100cf0a588f0c45e800"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">+ <b>logMessage:level:file:function:line:</b></td></tr>
<tr class="separator:a72be2667aa806100cf0a588f0c45e800"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_b_i_t_hockey_logger_8h_source.html">BITHockeyLogger.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
